# ej2-ng-richtexteditor

The rich text editor component is a HTML and markdown editor that provides best user experience for creating and updating the content.

![](../../Read-me-Images/rte.GIF)


>Note: This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's EULA (https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at https://www.syncfusion.com/sales/products or start a free 30-day trial here (https://www.syncfusion.com/account/manage-trials/start-trials).

>A free community license (https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers..

## 1. Setup To install this package and its dependent packages, use the following command

Use the following commands to install rich text editor components and its dependent packages.

```
npm install @syncfusion/ej2-ng-richtexteditor

```

## 2. Components included

* [GettingStarted](https://ej2.syncfusion.com/angular/documentation/rich-text-editor/getting-started.html)
* [View Online Demos](https://ej2.syncfusion.com/angular/demos/#/material/rte/)
* [Product Page](https://www.syncfusion.com/products/angular/rich-text-editor)

## 3. Supported frameworks

Rich text editor component also supports the following frameworks:
1.	[TypeScript](https://ej2.syncfusion.com/demos/#/material)
2.	[React](https://ej2.syncfusion.com/react/demos/#/material)
3.	[Vue.js](https://ej2.syncfusion.com/vue/demos/#/material)
4.	[ASP.NET Core](https://aspdotnetcore.syncfusion.com)
5.	[ASP.NET MVC](http://aspnetmvc.syncfusion.com)
6.	[JavaScript (ES5)](https://ej2.syncfusion.com/javascript/demos/#/material)

## 4. Use-case samples / Showcase samples

* HTML editor ([Live Demo](https://ej2.syncfusion.com/angular/demos/#/material/rte/rich-text-editor-tools))
* Blog posting ([Live Demo](https://ej2.syncfusion.com/angular/demos/#/material/rte/rich-text-editor-blog-posting))
* Markdown editor ([Live Demo](https://ej2.syncfusion.com/angular/demos/#/material/rte/markdown-editor))
* Inline edit ([Live Demo](https://ej2.syncfusion.com/angular/demos/#/material/rte/rich-text-editor-inline))

## 5. Key features

* [**Mode**](https://ej2.syncfusion.com/angular/demos/#/material/rte/rich-text-editor-iframe): Provides `<IFRAME>` and `<DIV>` mode.
* [**Markdown**](https://ej2.syncfusion.com/angular/demos/#/material/rte/markdown-editor-preview): Handles markdown editing.
* [**Module**](https://ej2.syncfusion.com/angular/documentation/rich-text-editor/getting-started.html?lang=typescript#module-injection): Contains a modular library to load the necessary functionality on demand.
* [**Toolbar**](https://ej2.syncfusion.com/angular/demos/#/material/rte/rich-text-editor-types): Provides a fully customizable toolbar.
* [**Editing**](https://ej2.syncfusion.com/angular/documentation/rich-text-editor/miscellaneous.html?lang=typescript#code-view): HTML view to edit the source directly for developers.
* [**Third-party Integration**](https://ej2.syncfusion.com/angular/documentation/rich-text-editor/third-party.html): Integrates third-party library.
* [**Preview**](https://ej2.syncfusion.com/angular/demos/#/material/rte/markdown-editor-preview): Preview the modified content before saving it.
* [**Tools**](https://ej2.syncfusion.com/angular/documentation/rich-text-editor/toolbar.html#toolbar-items): Handles images, hyperlinks, uploads, and more.
* [**Undo and Redo**](https://ej2.syncfusion.com/angular/documentation/rich-text-editor/miscellaneous.html?lang=typescript#undoredo-manager): Contains undo/redo manager.

## 6. Support

Product support can be obtained through the following mediums:
* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_campaign=richtexteditor) support system or [Community forum.](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_campaign=richtexteditor)
* New [GitHub issue](https://github.com/syncfusion/ej2-richtexteditor/issues/new).
* Ask your query in Stack Overflow with tag `syncfusion`, `ej2`.
 
## 7. License 
Check the license details [here](https://github.com/syncfusion/ej2/blob/master/license?utm_source=npm&utm_campaign=dropdown)

## 8. Change log 
 Check the changelog [here](https://github.com/syncfusion/ej2-ng-richtexteditor/blob/master/CHANGELOG.md)

© Copyright 2018 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.