import { ElementRef, ViewContainerRef, ValueProvider, Renderer2 } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { RichTextEditor, Toolbar, Link, Image, Count, QuickToolbar, HtmlEditor, MarkdownEditor } from '@syncfusion/ej2-richtexteditor';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * `ejs-richtexteditor` represents the Angular richtexteditor Component.
 * ```html
 * <ejs-richtexteditor></ejs-richtexteditor>
 * ```
 */
export declare class RichTextEditorComponent extends RichTextEditor implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    valueChange: any;
    /**
     * Accepts the template design and assigns it as RichTextEditor’s content.
     * For more details about the available template options refer to [`Template`](./templates.html) documentation.
     * The built-in template engine which provides options to compile template string into a executable function.
     * For EX: We have expression evolution as like ES6 expression string literals
     * @default null
     */
    valueTemplate: any;
    private skipFromEvent;
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, toolbar: Toolbar, link: Link, image: Image, count: Count, quickToolbar: QuickToolbar, htmlEditor: HtmlEditor, markdownEditor: MarkdownEditor);
    registerOnChange(registerFunction: (_: any) => void): void;
    registerOnTouched(registerFunction: () => void): void;
    writeValue(value: any): void;
    setDisabledState(disabled: boolean): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
export declare const ToolbarService: ValueProvider;
export declare const LinkService: ValueProvider;
export declare const ImageService: ValueProvider;
export declare const CountService: ValueProvider;
export declare const QuickToolbarService: ValueProvider;
export declare const HtmlEditorService: ValueProvider;
export declare const MarkdownEditorService: ValueProvider;
