var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ElementRef, ViewContainerRef, Renderer2, ChangeDetectionStrategy, forwardRef, Optional, ContentChild } from '@angular/core';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { ComponentBase, applyMixins, FormBase, setValue } from '@syncfusion/ej2-ng-base';
import { RichTextEditor, Toolbar, Link, Image, Count, QuickToolbar, HtmlEditor, MarkdownEditor } from '@syncfusion/ej2-richtexteditor';
import { Template } from '@syncfusion/ej2-ng-base';
export var inputs = ['backgroundColor', 'cssClass', 'editorMode', 'enableHtmlEncode', 'enablePersistence', 'enableRtl', 'enableTabKey', 'enabled', 'floatingToolbarOffset', 'fontColor', 'fontFamily', 'fontSize', 'format', 'formatter', 'height', 'htmlAttributes', 'iframeSettings', 'inlineMode', 'insertImageSettings', 'keyConfig', 'locale', 'maxLength', 'placeholder', 'quickToolbarSettings', 'readonly', 'showCharCount', 'toolbarSettings', 'undoRedoSteps', 'undoRedoTimer', 'value', 'valueTemplate', 'width'];
export var outputs = ['actionBegin', 'actionComplete', 'blur', 'change', 'created', 'destroyed', 'focus', 'toolbarClick', 'valueChange'];
export var twoWays = ['value'];
/**
 * `ejs-richtexteditor` represents the Angular richtexteditor Component.
 * ```html
 * <ejs-richtexteditor></ejs-richtexteditor>
 * ```
 */
var RichTextEditorComponent = /** @class */ (function (_super) {
    __extends(RichTextEditorComponent, _super);
    function RichTextEditorComponent(ngEle, srenderer, viewContainerRef, toolbar, link, image, count, quickToolbar, htmlEditor, markdownEditor) {
        var _this = _super.call(this) || this;
        _this.ngEle = ngEle;
        _this.srenderer = srenderer;
        _this.viewContainerRef = viewContainerRef;
        _this.skipFromEvent = true;
        _this.element = _this.ngEle.nativeElement;
        _this.injectedModules = _this.injectedModules || [];
        for (var i = 3; i < arguments.length; i++) {
            var injectedObj = arguments[i];
            if (injectedObj) {
                _this.injectedModules.push(injectedObj);
            }
        }
        _this.registerEvents(outputs);
        _this.addTwoWay.call(_this, twoWays);
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    RichTextEditorComponent.prototype.registerOnChange = function (registerFunction) {
    };
    RichTextEditorComponent.prototype.registerOnTouched = function (registerFunction) {
    };
    RichTextEditorComponent.prototype.writeValue = function (value) {
    };
    RichTextEditorComponent.prototype.setDisabledState = function (disabled) {
    };
    RichTextEditorComponent.prototype.ngOnInit = function () {
    };
    RichTextEditorComponent.prototype.ngAfterViewInit = function () {
    };
    RichTextEditorComponent.prototype.ngOnDestroy = function () {
    };
    RichTextEditorComponent.prototype.ngAfterContentChecked = function () {
    };
    RichTextEditorComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ejs-richtexteditor',
                    inputs: inputs,
                    outputs: outputs,
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(function () { return RichTextEditorComponent; }),
                            multi: true
                        }
                    ],
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    RichTextEditorComponent.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer2, },
        { type: ViewContainerRef, },
        { type: Toolbar, decorators: [{ type: Optional },] },
        { type: Link, decorators: [{ type: Optional },] },
        { type: Image, decorators: [{ type: Optional },] },
        { type: Count, decorators: [{ type: Optional },] },
        { type: QuickToolbar, decorators: [{ type: Optional },] },
        { type: HtmlEditor, decorators: [{ type: Optional },] },
        { type: MarkdownEditor, decorators: [{ type: Optional },] },
    ]; };
    RichTextEditorComponent.propDecorators = {
        'valueTemplate': [{ type: ContentChild, args: ['valueTemplate',] },],
    };
    __decorate([
        Template(),
        __metadata("design:type", Object)
    ], RichTextEditorComponent.prototype, "valueTemplate", void 0);
    return RichTextEditorComponent;
}(RichTextEditor));
export { RichTextEditorComponent };
applyMixins(RichTextEditorComponent, [ComponentBase, FormBase]);
export var ToolbarService = { provide: Toolbar, useValue: Toolbar };
export var LinkService = { provide: Link, useValue: Link };
export var ImageService = { provide: Image, useValue: Image };
export var CountService = { provide: Count, useValue: Count };
export var QuickToolbarService = { provide: QuickToolbar, useValue: QuickToolbar };
export var HtmlEditorService = { provide: HtmlEditor, useValue: HtmlEditor };
export var MarkdownEditorService = { provide: MarkdownEditor, useValue: MarkdownEditor };
//# sourceMappingURL=richtexteditor.component.js.map